from fastapi import FastAPI

from api.presentation.routers import (
    auth_router,
    company_router,
    healthcheck_router,
    user_router,
)


def init_routers(app: FastAPI) -> None:
    app.include_router(user_router)
    app.include_router(auth_router)
    app.include_router(company_router)
    app.include_router(healthcheck_router)
