from fastapi import APIRouter, Depends

from api.application.contracts.user import UserResponse
from api.presentation.auth.fasapi_auth import auth_required

user_router = APIRouter(prefix="/users", tags=["Users"])


@user_router.get(
    "/",
    response_model=list[UserResponse],
    dependencies=[Depends(auth_required)],
)
async def get_all_users() -> list[UserResponse]:
    return []
